/*=======================================
              Import Fonts
========================================*/

/* @import url("https://fonts.googleapis.com/css?family=Montserrat:300,400,400i,500,700&display=swap"); */

@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

/*=======================================
              Colours
========================================*/

:root {
  --black: #002D3F;
  --darkblue: #272258;
  --red: #E33E61;
  --blue: #0F1E82;
  --bluegrey: #E6E4FE;
  --orange: #F39E39;
  --green: #18C989;
}

.bg-darkblue {
  background-color: var(--darkblue);
}

.text-darkblue {
  color: var(--darkblue);
}

.bg-orange {
  background-color: var(--orange);
}

/* White */

.text-white {
  color: #fff;
}

/*=======================================
      Reset Styles for Main Elements
========================================*/

html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/*=======================================
              Box Sizing
========================================*/

*,
*::before,
*::after {
  box-sizing: border-box;
}

/*=======================================
          Default Body Styles
========================================*/

body {
  scroll-behavior: smooth;
  text-rendering: optimizeSpeed;
  line-height: 1.2;
  font-family: Inter, sans-serif;
  background-color: var(--darkblue);
}

/*=======================================
   Set Display Role for Older Browsers
========================================*/

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

/*=======================================
                Quotes
========================================*/

blockquote,
q {
  quotes: none;
}

blockquote {
  padding: 10px 30px;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: "";
  content: none;
}

/*=======================================
            Container Layout
========================================*/

.container {
  width: 1440px;
  margin: 0 auto;
  padding: 0 30px;
}

@media (max-width: 1500px) {
  .container {
    width: 100%;
  }
}

@media (max-width: 450px) {
  .container {
    padding: 0 15px;
  }
}

/*=======================================
              Helper Classes
========================================*/

.clearfix {
  clear: both;
}

.screen-reader-text {
  border: 0;
  clip: rect(1px, 1px, 1px, 1px);
  clip-path: inset(50%);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  word-wrap: normal !important;
}

/*=======================================
              Flex Classes
========================================*/

.flex-row {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: flex-start;
}

/*=======================================
          Link Default Styles
========================================*/

a {
  text-decoration: none;
}

a.cover {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 10;
  font-size: 0px;
}

a:hover {
  text-decoration: underline;
}

a:not([class]) {
  -webkit-text-decoration-skip: ink;
  text-decoration-skip-ink: auto;
}



/*=======================================
                Buttons
========================================*/

.button {
  font-size: 18px;
  line-height: 1;
  font-weight: 500;
  padding: 12px 30px;
  display: inline-block;
  border: 3px solid #fff;
  border-radius: 25px;
  text-align: center;
  text-decoration: none !important;
  cursor: pointer;
  transition: all 0.3s ease-in-out;
  box-shadow: 4px 4px 15px 0 rgba(0, 0, 0, 0.25);

  &.white {
    background-color: #fff;
    color: var(--darkblue);

    &:hover {
      color: #fff;
      background-color: var(--darkblue);
      border-color: var(--darkblue);
    }

  }

  &.red {
    background-color: var(--red);
    border-color: var(--red);
    color: #fff;

    &:hover {
      color: var(--red);
      background-color: #fff;
    }

  }

  &.trans {
    border: 3px solid #fff;
    color: #fff;

    &:hover {
      background-color: #fff;
      color: var(--darkblue);
    }

  }

  &.blue-trans {
    background-color: #fff;
    color: var(--darkblue);
    border-color: var(--darkblue);

    &:hover {
      background-color: var(--darkblue);
      color: #fff;
    }

  }

  @media (max-width: 600px) {
    font-size: 16px;
    padding: 12px 26px;
  }

  &.icon {
    text-align: left;
    display: inline-flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    padding: 8px 20px;

    span {
      margin-right: 10px;
    }

    svg {
      width: 28px;
      height: auto;
    }

  }

}


/*=======================================
            List Default Styles
========================================*/

ul[class],
ol[class] {
  list-style: none;
}


/*=======================================
              Nice Selects
========================================*/

.starter-theme .nice-select {
  border: none;
  background-color: #fff;
  border-radius: 15px;
  padding: 17px 25px;
  height: auto;
  float: none;
  font-size: 18px;
  line-height: 1;
  color: var(--darkblue);

  @media (max-width: 450px) {
    font-size: 16px;
    padding: 15px 25px;
  }

  &:before {
    content: "";
    width: 70px;
    height: 100%;
    position: absolute;
    right: 0;
    top: 0;
    background-color: var(--darkblue);
    border-radius: 0 15px 15px 0;
  }

  &:after {
    width: 12px;
    height: 12px;
    border-color: #fff;
    top: 22px;
    right: 31px;
    border-width: 3px;

    @media (max-width: 450px) {
      top: 19px;
    }

  }

  .current {
    display: block;
    width: 100%;
    overflow-x: hidden;
    line-height: 1.2;
  }

  .list {
    width: 100%;
    background-color: #fff;
    border-radius: 15px;
    color: var(--darkblue);
    z-index: 99;
  }

  .option:hover,
  .option.focus,
  .option.selected.focus {
    background-color: #f3f3f3;
  }


}



/*=======================================
            Table Default Styles
========================================*/

table {
  border-collapse: collapse;
  border-spacing: 0;
}

table th {}

table td {}

/*=======================================
              Form Elements
========================================*/

input,
button,
textarea,
select {
  font: inherit;
}

input[type="text"],
input[type="number"],
input[type="email"],
input[type="password"],
textarea,
select {
  font-size: 16px;
  color: #333;
  background: #fff;
  border: 2px solid #333;
  display: inline-block;
  padding: 6px 10px;
  margin: 5px 0;
  outline: none;
}

label {
  cursor: pointer;
}

/*=======================================
          Image Default Styles
========================================*/

img,
svg {
  width: 100%;
  height: auto;
  display: block;
}

/*=======================================
            Text Container
========================================*/

.text-container {

  em {
    font-style: italic;
  }

  strong {
    font-weight: bold;
  }

  p,
  ul,
  ol {
    margin-bottom: 20px;
  }

  ul,
  ol {
    margin-left: 30px;
  }

  img {
    width: auto;
    max-width: 100%;
  }

  .wp-video {
    width: 100% !important;
  }

  iframe {
    width: 100% !important;
  }

  .video-container {
    overflow: hidden;
    position: relative;
    width: 100%;

    &:after {
      padding-top: 56.25%;
      display: block;
      content: '';
    }

    iframe {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
    }

  }

  .wp-caption {
    width: 100% !important;
    height: auto;

    img {
      border-radius: 30px;
      width: 100%;
      height: auto;
    }

    .wp-caption-text {
      background-color: var(--blue);
      color: #fff;
      border-radius: 0 0 30px 30px;
      padding: 45px 25px 20px;
      margin-top: -30px;
      font-size: 16px;
      line-height: 1.5;
      font-weight: 400;

      @media (max-width: 600px) {
        font-size: 14px;
        padding: 40px 20px 15px;
      }

    }

  }

  .gallery {
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    flex-wrap: wrap;

    &.gallery-columns-4 {
      margin: 0 -12px !important;

      @media (max-width: 600px) {
        margin: 0 -5px !important;
      }

      .gallery-item {
        width: calc(100% / 4 - 24px) !important;
        margin: 0 12px 24px;

        @media (max-width: 1000px) {
          width: calc(100% / 2 - 24px) !important;
        }

        @media (max-width: 600px) {
          width: calc(100% / 2 - 10px) !important;
          margin: 0 5px 10px;
        }

        @media (max-width: 450px) {
          width: calc(100% - 10px) !important;
        }

      }

    }


    /* 3 Columns */

    &.gallery-columns-5 {
      margin: 0 -12px !important;

      @media (max-width: 600px) {
        margin: 0 -5px !important;
      }

      .gallery-item {
        width: calc(100% / 3 - 24px) !important;
        margin: 0 12px 24px;

        @media (max-width: 1000px) {
          width: calc(100% / 2 - 24px) !important;
        }

        @media (max-width: 600px) {
          width: calc(100% / 2 - 10px) !important;
          margin: 0 5px 10px;
        }

        @media (max-width: 450px) {
          width: calc(100% - 10px) !important;
        }

      }

    }





    .gallery-item {
      float: none !important;
      margin-top: 0 !important;

      dl {
        margin: 0;
        float: none;
      }

      img {
        width: 100%;
        height: auto;
        border-radius: 30px;
        border: none !important;
      }

    }

  }

}





/*=======================================
            Hide Admin Bar
========================================*/

@media only screen and (max-width: 1000px) {

  #wpadminbar {
    display: none !important;
  }

  html {
    margin-top: 0 !important;
  }

}





/*=======================================
              Tags
========================================*/

.section-tag {
  font-size: 14px;
  color: #fff;
  display: inline-block;
  background-color: var(--red);
  padding: 8px 15px;
  text-transform: uppercase;
  margin-bottom: 15px;

  @media (max-width: 450px) {
    font-size: 12px;
    padding: 8px 10px;
  }

}